Skip to main content
`Ctrl`+`K`

# MatSTRUMPACKGetReordering

Get STRUMPACK https://portal.nersc.gov/project/sparse/strumpack/master fill-reducing reordering

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSTRUMPACKGetReordering(Mat F, MatSTRUMPACKReordering *reordering)

Logically Collective

## Input Parameters

- F - the factored matrix obtained by calling `MatGetFactor()` from PETSc-STRUMPACK interface

## Output Parameter

- reordering - the code to be used to find the fill-reducing reordering

## See Also

`MATSOLVERSTRUMPACK`, Matrices, `Mat`, `MatSTRUMPACKReordering`, `MatGetFactor()`, `MatSTRUMPACKSetReordering()`, `MatSTRUMPACKSetColPerm()`

## Level

intermediate

## Location

src/mat/impls/aij/mpi/strumpack/strumpack.c

## Implementations

MatSTRUMPACKGetReordering_STRUMPACK() in src/mat/impls/aij/mpi/strumpack/strumpack.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages